#
# spec file for package gap-gradedmodules
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-gradedmodules
Version:        2024.01.01
%define sillyver 2024.01-01
Release:        1.4
Summary:        GAP: Abelian finitely presented graded modules over a computable graded ring
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/GradedModules
#Git-Clone:     https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/GradedModules-%sillyver/GradedModules-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-gradedringforhomalg >= 2023.08.01
Requires:       gap-homalg >= 2022.02.01
Requires:       gap-homalgtocas >= 2023.08.01
Requires:       gap-matricesforhomalg >= 2023.08.01
Requires:       gap-modules >= 2023.08.01
Requires:       gap-ringsforhomalg >= 2023.09.01
Requires:       gap-toolsforhomalg >= 2014.12.08

%description
This homalg based package realizes the computability of the Abelian
category of finitely presented graded modules over a computable
graded ring.

%prep
%autosetup -n GradedModules-%sillyver

%build
rm -v doc/clean

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2024.01.01
  * No changelog was provided
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.09.02
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.02.04
  * No changelog available
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.09.10
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.10
  * No changelog was provided
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 2015.12.04
  * No upstream changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2015.01.30
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.09.17
  * No changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.02.25
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.10.27
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split gradedmodules (version 2013.02.07) off the gap RPM package
